#*********************************************************************
#
#  (C) 2005 Yumetech, Inc
#    http://www.yumetech.com
#
# Lowest level common makefile for both native and Java code
# 
# Author: Justin Couch
# Version: $Revision: 1.1 $
#
#*********************************************************************

ifndef PROJECT_ROOT
  export PROJECT_ROOT=/usr/local/src/projects/j3d.org/swt_opengl
endif

ifndef JAVA_HOME
  JAVA_HOME=/usr/local/java/jdk1.4
endif

ifndef APP_ROOT
  BUILD_ROOT_DIR=$(PROJECT_ROOT)
else
  BUILD_ROOT_DIR=$(APP_ROOT)
endif

SRC_DIR=$(BUILD_ROOT_DIR)/src
DOCS_DIR=$(BUILD_ROOT_DIR)/docs
LIB_DIR=$(PROJECT_ROOT)/lib
MAKE_DIR=$(PROJECT_ROOT)/make

JAVA_DIR=$(SRC_DIR)/java
PARSER_DIR=$(SRC_DIR)/javacc
NATIVE_DIR=$(SRC_DIR)/native
INCLUDE_DIR=$(NATIVE_DIR)/include
EXAMPLES_DIR=$(PROJECT_ROOT)/examples
IMAGES_DIR=${SRC_DIR}/images
XML_DIR=${SRC_DIR}/xml
CONFIG_DIR=${SRC_DIR}/config

DELETE    = rm -f
MAKEDIR   = mkdir -p
RMDIR     = rm -fr
PRINT     = @echo
COPY      = cp 
COPY_PATH = cp --parents
CHMOD     = chmod
CD        = cd

#JAVAC_FLAGS=-deprecation
#JAVADOC_FLAGS=

MAKEFLAGS=-s

